Bug 2127804 (CVE-2022-3172)

Summary: CVE-2022-3172 kube-apiserver: Aggregated API server can cause clients to be redirected (SSRF)
Product: [Other] Security Response Reporter: Avinash Hanwate <ahanwate>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: admiller, amctagga, dahernan, extras-orphan, go-sig, jburrell, joelsmith, muagarwa, ocs-bugs, sttts, vkumar, zebob.m
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: kube-apiserver 1.25.1, kube-apiserver 1.24.5, kube-apiserver 1.23.11, kube-apiserver 1.22.14 Doc Type: If docs needed, set a value
Doc Text:
A security issue was discovered in kube-apiserver that allows an aggregated API server to redirect client traffic to any URL. This issue leads to the client performing unexpected actions and forwarding the client's API server credentials to third parties.
Story Points: ---
Clone Of: Environment:
Last Closed: 2023-01-21 07:23:22 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Bug Depends On: 2127805, 2127806, 2203081    
Bug Blocks: 2127807    

Description Avinash Hanwate 2022-09-19 05:30:41 UTC
A security issue was discovered in kube-apiserver that allows an aggregated API server to redirect client traffic to any URL. This could lead to the
client performing unexpected actions as well as forwarding the client's API server credentials to third parties.

ref: https://github.com/kubernetes/kubernetes/issues/112513

Comment 1 Avinash Hanwate 2022-09-19 05:31:09 UTC
Created golang-k8s-kube-aggregator tracking bugs for this issue:

Affects: fedora-all [bug 2127805]


Created origin tracking bugs for this issue:

Affects: fedora-all [bug 2127806]

Comment 6 errata-xmlrpc 2023-01-17 14:51:27 UTC
This issue has been addressed in the following products:

  Red Hat OpenShift Container Platform 4.12

Via RHSA-2022:7398 https://access.redhat.com/errata/RHSA-2022:7398

Comment 7 Product Security DevOps Team 2023-01-21 07:23:19 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2022-3172

Comment 10 errata-xmlrpc 2023-04-12 11:58:48 UTC
This issue has been addressed in the following products:

  Red Hat OpenShift Container Platform 4.10

Via RHSA-2023:1655 https://access.redhat.com/errata/RHSA-2023:1655

Comment 14 errata-xmlrpc 2023-06-14 21:20:40 UTC
This issue has been addressed in the following products:

  RHODF-4.12-RHEL-8

Via RHSA-2023:3609 https://access.redhat.com/errata/RHSA-2023:3609